Package com.sas.metadata.remote

# Class MdConnectionEvent

java.lang.Object
java.util.EventObject
com.sas.metadata.remote.MdConnectionEvent

All Implemented Interfaces:
  `Serializable`

public class MdConnectionEvent extends EventObject
The event class used for signalling clients when a connection to the metadata server has been lost.

Since:
  9.4
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MdConnectionEvent(Object source, MdFactory factory, Exception e)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MdFactory`
  `getFactory()`
  Returns the factory for this event
  `int`
  `getMaximumRetryCount()`
  `Exception`
  `getOriginalException()`
  Returns the original exception associated to the lost connection.
  `void`
  `setMaxiumRetryCount(int count)`
  Sets the maximum number of times a retry should be attempted.

  ### Methods inherited from class java.util.EventObject

  `getSource, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MdConnectionEvent

    public MdConnectionEvent(Object source, MdFactory factory, Exception e)
    Parameters:
      `source` -
      `e` -
      `m_factory` -

- ## Method Details

  - ### getFactory

    public MdFactory getFactory()
    Returns the factory for this event
    Returns:
      MdFactory

  - ### getOriginalException

    public Exception getOriginalException()
    Returns the original exception associated to the lost connection.
    Returns:
      exception

  - ### getMaximumRetryCount

    public int getMaximumRetryCount()

  - ### setMaxiumRetryCount

    public void setMaxiumRetryCount(int count)
    Sets the maximum number of times a retry should be attempted. The default setting is a total of 3 retries. However, this value may be overridden if necessary.
    Parameters:
      `count` -